# Start window and pane indices at 1.
set -g base-index 1
set -g pane-base-index 1

# Status bar styling and content.
set -g status-left '#S '

# Plugins
set -g @plugin 'tmux-plugins/tpm'
set -g @plugin 'tmux-plugins/tmux-sensible'
set -g @plugin 'tmux-plugins/tmux-resurrect'
set -g @plugin 'tmux-plugins/tmux-continuum'


# Theme
set -g @plugin "arcticicestudio/nord-tmux"

# Resurect vim sessions and pane contents
set -g @continuum-restore 'on'
set -g @resurrect-strategy-vim 'session'
set -g @resurrect-capture-pane-contents 'on'


# Vim mod
bind-key h select-pane -L
bind-key j select-pane -D
bind-key k select-pane -U
bind-key l select-pane -R

bind-key H resize-pane -L
bind-key J resize-pane -D
bind-key K resize-pane -U
bind-key L resize-pane -R

# Don't prompt to kill panes/windows.
bind-key x kill-pane
bind-key & kill-window

# More intuitive split-window mappings.
bind "\\" split-window -h
bind - split-window -v

# Maximize pane, e.g. for copying.
bind-key z resize-pane -Z

# Window title string (uses statusbar variables)
set -g set-titles-string '#T'

# Reload tmux conf.
unbind r
bind r source-file ~/.tmux.conf\; display "Reloaded conf."

run -b '~/.tmux/plugins/tpm/tpm'
